gSOAP UDDI v2: uddi2__get_USCOREbusinessDetailExt Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__get_USCOREbusinessDetailExt Class Reference

Schema urn:uddi-org:api_v2:"get_businessDetailExt". More...

`#include <uddi_v2.h>`

List of all members.

## Public Member Functions
| uddi2__get_USCOREbusinessDetailExt (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__get_USCOREbusinessDetailExt (struct soap *, const char *businessKey)
| Member declared in uddi2-typemap.dat.
| uddi2__get_USCOREbusinessDetailExt (struct soap *, std::vector< char * > businessKeys)
| Member declared in uddi2-typemap.dat.
uddi2__businessDetailExt * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat.
## Public Attributes
std::vector< uddi2__businessKey > | businessKey
| Vector of uddi2__businessKey with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"get_businessDetailExt".

Represents a request to get business details from a UDDI server.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137719

## Constructor & Destructor Documentation

uddi2__get_USCOREbusinessDetailExt::uddi2__get_USCOREbusinessDetailExt | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the get_USCOREbusinessDetailExt class.

uddi2__get_USCOREbusinessDetailExt::uddi2__get_USCOREbusinessDetailExt | ( | struct soap * | soap,
|  | const char * | businessKey
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | businessKey | string
Creates an instance of the get_USCOREbusinessDetailExt class using the specified business key.

uddi2__get_USCOREbusinessDetailExt::uddi2__get_USCOREbusinessDetailExt | ( | struct soap * | soap,
|  | std::vector< char * > | businessKeys
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | businessKeys | collection of key strings
Creates an instance of the get_USCOREbusinessDetailExt class using the specified collection of business keys.

## Member Function Documentation

uddi2__businessDetailExt * uddi2__get_USCOREbusinessDetailExt::send | ( | const char * | endpoint | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
Returns: A pointer to a uddi2__businessDetailExt object or NULL on error Send a request to a UDDI server to get the business details.

## Member Data Documentation

std::vector<uddi2__businessKey > uddi2__get_USCOREbusinessDetailExt::businessKey

| Vector of uddi2__businessKey with length 0..unbounded.

char* uddi2__get_USCOREbusinessDetailExt::generic

| Attribute generic of type xs:string. Required attribute

struct soap* uddi2__get_USCOREbusinessDetailExt::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h